Table of Contents

Class: SvnCopyDialog | eric3/VCS/subversionPackage/CopyDialog.py
--- | ---

Class implementing a dialog to enter the data for a copy operation.

Base Classes |
--- | ---
CopyForm

Methods |
--- | ---
__init__ getData handleTarget
| __init__

    __init__ (
            self,
            source,
            parent=None,
            move=0,
            )

### Constructor

#### Arguments

source
  name of the source file/directory (QString)
parent
  parent widget (QWidget)
move
  flag indicating a move operation

| getData

    getData ( self )

### Public method to retrieve the copy data.

#### Returns

the target name (QString)

| handleTarget

    handleTarget ( self )

Private slot to handle the button press for selecting the target via a selection dialog.

Table of Contents

This document was automatically generated by HappyDoc version 2.1